# pybedtools.bedtool.BedTool.nucleotide_content

`BedTool.``nucleotide_content`(*args, **kwargs)

  > Wraps `bedtools nuc`.

  > Profiles nucleotide content. The returned BED file contains extra information about the nucleotide content

  For convenience, the file or stream this BedTool points to is implicitly passed as the `-bed` argument to `nucBed`

  Original BEDTools help::

      Tool:    bedtools nuc (aka nucBed)
      Version: v2.29.2
      Summary: Profiles the nucleotide content of intervals in a fasta file.

      Usage:   bedtools nuc [OPTIONS] -fi <fasta> -bed <bed/gff/vcf>

      Options:
              -fi     Input FASTA file

              -bed    BED/GFF/VCF file of ranges to extract from -fi

              -s      Profile the sequence according to strand.

              -seq    Print the extracted sequence

              -pattern        Report the number of times a user-defined sequence
                              is observed (case-sensitive).

              -C      Ignore case when matching -pattern. By defaulty, case matters.

              -fullHeader     Use full fasta header.
                      - By default, only the word before the first space or tab is used.

      Output format:
              The following information will be reported after each BED entry:
                  1) %AT content
                  2) %GC content
                  3) Number of As observed
                  4) Number of Cs observed
                  5) Number of Gs observed
                  6) Number of Ts observed
                  7) Number of Ns observed
                  8) Number of other bases observed
                  9) The length of the explored sequence/interval.
                  10) The seq. extracted from the FASTA file. (opt., if -seq is used)
                  11) The number of times a user's pattern was observed.
                      (opt., if -pattern is used.)